Loading...
Searching...
No Matches
osmo_lcls Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

LCLS-related parameters from 3GPP TS 48.008. More...

`#include <gsm0808_utils.h>`

## Data Fields

enum gsm0808_lcls_config | config
| §3.2.2.116 Configuration
enum gsm0808_lcls_control | control
| §3.2.2.117 Connection Status Control
struct osmo_gcr_parsed | gcr
| §3.2.2.115 Global Call Reference
bool | gcr_available
bool | corr_needed
| §3.2.2.118 Correlation-Not-Needed

## Detailed Description

LCLS-related parameters from 3GPP TS 48.008.

## Field Documentation

## config

enum gsm0808_lcls_config osmo_lcls::config

§3.2.2.116 Configuration

Referenced by gsm0808_dec_lcls(), gsm0808_enc_lcls(), and osmo_lcls_dump_buf().

## control

enum gsm0808_lcls_control osmo_lcls::control

§3.2.2.117 Connection Status Control

Referenced by gsm0808_dec_lcls(), gsm0808_enc_lcls(), and osmo_lcls_dump_buf().

## corr_needed

bool osmo_lcls::corr_needed

§3.2.2.118 Correlation-Not-Needed

Referenced by gsm0808_dec_lcls(), gsm0808_enc_lcls(), and osmo_lcls_dump_buf().

## gcr

struct osmo_gcr_parsed osmo_lcls::gcr

§3.2.2.115 Global Call Reference

Referenced by gsm0808_dec_lcls(), gsm0808_enc_lcls(), and osmo_gcr_dump_buf().

## gcr_available

bool osmo_lcls::gcr_available

Referenced by gsm0808_dec_lcls(), gsm0808_enc_lcls(), and osmo_gcr_dump_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808_utils.h